## pycuda 2011.1.3+git20110814

=== debian/changelog ===
pycuda (2011.1.3+git20110814-1) unstable; urgency=low

  * Initial release (Closes: #546919)
  * Add option in debian/source/ to unapply patches after build.
  * Add override python-py of pytest package
  * Change build scripts to build library for all available Python versions
  * Change package to use python-setuptools package instead of downloading it
  * Delete jquery.js and replace it with link to script from libjs-jquery
  * Force build scripts not to use boost libraries included in the source
  * Remove messages about missing Boost libraries; they are superfluous
    as package is using Debian ones

 -- Tomasz Rybak <bogomips@post.pl>  Sat, 20 Aug 2011 23:02:55 +0200
