=== debian/control ===
Source: pycuda
Section: contrib/python
Priority: optional
Maintainer: Tomasz Rybak <bogomips@post.pl>
Build-Depends: debhelper (>= 8),
 python-all-dev,
 python-setuptools,
 libcuda1-dev | libcuda1 | nvidia-current,
 nvidia-cuda-toolkit,
 libboost-python-dev,
 libboost-thread-dev,
 mesa-common-dev,
 python-numpy,
 python-matplotlib,
 python-sphinx (>= 1.0.7+dfsg),
 python-pytools (>= 2011.3)
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://mathema.tician.de/software/pycuda
Vcs-Git: git://git.debian.org/git/collab-maint/python-pycuda.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pycuda.git

Package: python-pycuda
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 nvidia-cuda-toolkit,
 python-numpy,
 python-matplotlib,
 python-pytools (>= 2011.3)
Recommends: python-pycuda-doc,
 python-mako
Suggests: python-opengl
Description: module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.

Package: python-pycuda-doc
Section: contrib/doc
Architecture: all
Depends: ${sphinxdoc:Depends},
 ${misc:Depends}
Recommends: python-pycuda,
 nvidia-cuda-doc
Description: module to access Nvidia‘s CUDA parallel computation API (documentation)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains HTML documentation and example scripts.
