=== debian/rules ===
#! /usr/bin/make -f

PACKAGE_NAME=python-pycuda

%:
	dh $@ --with python2,sphinxdoc

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py \
		--boost-thread-libname=boost_thread \
		--cuda-root=/usr --cuda-enable-gl

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	$(MAKE) -C doc html

override_dh_auto_install:
	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

MODULE_NAME=pycuda
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=a3b6308883eca90957afe0195bbcce2ba4e7657d
GIT_SUBMODULES=pycuda/compyte
GIT_URL=http://git.tiker.net/trees/pycuda.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/.gitignore
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
	tar czf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
