## pycuda 2011.2.2

=== debian/changelog ===
pycuda (2011.2.2-1) unstable; urgency=low

  * New upstream release with support for CUDA 4.1.

 -- Tomasz Rybak <bogomips@post.pl>  Wed, 14 Dec 2011 14:57:51 +0100
