=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python-numpy,
  python-matplotlib,
  python-sphinx (>= 1.0.7+dfsg),
- python-pytools (>= 2011.3)
+ python-pytools (>= 2011.5)
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
 Homepage: http://mathema.tician.de/software/pycuda
@@ -26,10 +26,11 @@
  nvidia-cuda-toolkit,
  python-numpy,
  python-matplotlib,
- python-pytools (>= 2011.3)
+ python-pytools (>= 2011.5)
 Recommends: python-pycuda-doc,
  python-mako
-Suggests: python-opengl
+Suggests: python-opengl,
+ python-py
 Description: module to access Nvidia‘s CUDA parallel computation API
  PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
  Several wrappers of the CUDA API already exist–so what’s so special about
