=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=a3b6308883eca90957afe0195bbcce2ba4e7657d
+GIT_REVISION=a6b0a7589c5cb0a4dad35df5f2b66d6d374eefe5
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git
