## pycuda 2012.1

=== debian/changelog ===
pycuda (2012.1-1) unstable; urgency=low

  * New upstream release.
  * Change my email.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 21 Jun 2012 23:41:50 +0200

pycuda (2011.2.2+git20120601-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against Boost 1.49. Closes: #672745
  * Create separate python-pycuda-headers package preparing for
    Python 3 package.
  * Move python-pyopengl from Recommends to Suggests because package
    can be used for computations without any graphical environment.
  * Update Standards-Version to 3.9.3.
  * Update debian/copyright to official 1.0 format.
  * Update debian/compat to 9, update dependencies.
  * Call dh_numpy in debian/rules for NumPy ABI and ABI dependencies.

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 05 Jun 2012 18:04:40 +0200
