=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Tomasz Rybak <bogomips@post.pl>
-Build-Depends: debhelper (>= 8),
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Build-Depends: debhelper (>= 9),
  python-all-dev,
  python-setuptools,
  libcuda1-dev | libcuda1 | nvidia-current,
@@ -10,28 +10,58 @@
  libboost-python-dev,
  libboost-thread-dev,
  mesa-common-dev,
- python-numpy,
- python-matplotlib,
+ python-numpy (>= 1:1.4.1-4~),
  python-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Git: git://git.debian.org/git/collab-maint/python-pycuda.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-pycuda.git
+
+Package: python-pycuda-headers
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: python-pycuda-doc,
+ python-pycuda,
+ python3-pycuda
+Replaces: python-pycuda (<< 2011.2.2+git20120523-1)
+Breaks: python-pycuda (<< ${source:Version}),
+ python3-pycuda (<< ${source:Version})
+Description: headers for Python module to access Nvidia‘s CUDA parallel computation API
+ PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
+ Several wrappers of the CUDA API already exist–so what’s so special about
+ PyCUDA?
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and crash-free
+    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
+    detach from a context before all memory allocated in it is also freed.
+  * Convenience. Abstractions like pycuda.driver.SourceModule and
+    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
+    with Nvidia’s C-based runtime.
+  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
+    disposal, if you wish.
+  * Automatic Error Checking. All CUDA errors are automatically translated
+    into Python exceptions.
+  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful Documentation.
+ .
+ This package contains header files used by PyOpenCL modules.
 
 Package: python-pycuda
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  nvidia-cuda-toolkit,
  python-numpy,
- python-matplotlib,
- python-pytools (>= 2011.5)
+ python-pytools (>= 2011.5),
+ python-pycuda-headers (= ${source:Version})
 Recommends: python-pycuda-doc,
  python-mako
-Suggests: python-opengl,
- python-py
-Description: module to access Nvidia‘s CUDA parallel computation API
+Suggests: python-pytest,
+ python-opengl,
+ python-matplotlib
+Description: Python module to access Nvidia‘s CUDA parallel computation API
  PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
  Several wrappers of the CUDA API already exist–so what’s so special about
  PyCUDA?
