=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #! /usr/bin/make -f
 
-PACKAGE_NAME=python-pycuda
+PACKAGE_DIR=$(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pycuda
+INSTALL_DIR=$(CURDIR)/debian/tmp/
+PYTHON2=$(shell pyversions -vr)
+PYTHON3=$(shell py3versions -vr)
 
 %:
 	dh $@ --with python2,sphinxdoc
@@ -15,7 +18,11 @@
 	$(MAKE) -C doc html
 
 override_dh_auto_install:
-	dh_auto_install --buildsystem=python_distutils --destdir=debian/$(PACKAGE_NAME)
+	set -e; \
+	for python in $(PYTHON2); do \
+		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	dh_numpy
 
 override_dh_compress:
 	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
@@ -23,7 +30,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=a6b0a7589c5cb0a4dad35df5f2b66d6d374eefe5
+GIT_REVISION=v2012.1
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git
