## pycuda 2013.1~git20130626

=== debian/changelog ===
pycuda (2013.1~git20130626-1ubuntu1) saucy; urgency=low

  * Build-depend on nvidia-current | libcuda-5.0-1 (LP: #1129409).
  * Locate current Nvidia driver directory using /etc/ld.so.conf.d.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 14 Jul 2013 12:22:51 +0200

pycuda (2013.1~git20130626-1) unstable; urgency=low

  * New upstream release, adding new CURAND support.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 30 Jun 2013 18:10:45 +0200

pycuda (2013.1~git20130616-1) unstable; urgency=low

  * New upstream release.
  * Add Python 3 package.
  * Add *-dbg packages.
  * Remove *-headers package; upstream now ships headers in python directory.
  * Upstream switched to setuptools, update patches to deal with it.
  * Do not call dh_sphinxdoc for architecture dependent builds, build
    documentation in separate step in debian/rules.
  * Fix CUDA library build-dependencies, remove old libcuda1-dev.
  * Add README.source describing get-orig-source in debian/rules.
  * Disable package optimisation option as it might clash with hardening
    compile options.
  * Include tests (all files in test/) in documentation package.
  * Fix VCS-* fields to contain canonical URIs.
  * Update Standards-Version to 3.9.4; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 20 Jun 2013 19:41:29 +0200
