=== debian/rules ===
--- 
+++ 
@@ -4,39 +4,77 @@
 INSTALL_DIR=$(CURDIR)/debian/tmp/
 PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
+UBUNTU_NVIDIA_DIR=$(shell sed -n '/^\/usr\/lib\//{p;q}' /etc/ld.so.conf.d/$(DEB_BUILD_MULTIARCH)_GL.conf)
+
+ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+DEB_CXXFLAGS_MAINT_STRIP=-O2
+DEB_CXXFLAGS_MAINT_APPEND=-O0
+endif
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,python3,sphinxdoc
 
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py \
 		--boost-thread-libname=boost_thread \
-		--cuda-root=/usr --cuda-enable-gl
+		--cuda-root=/usr --cuda-enable-gl \
+		--cudadrv-lib-dir=$(UBUNTU_NVIDIA_DIR)
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=python_distutils
-	$(MAKE) -C doc html
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python setup.py build ; \
+		python$$python-dbg setup.py build ; \
+	done
 
 override_dh_auto_install:
 	set -e; \
 	for python in $(PYTHON2); do \
 		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
 	done
+	set -e; \
+	for python in $(PYTHON2); do \
+		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
+	set -e; \
+	for python in $(PYTHON3); do \
+		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
+	done
 	dh_numpy
+	dh_numpy3
+
+override_dh_installdocs:
+	$(MAKE) -C doc html
+	dh_installdocs
+
+# Sphinx documentation is architecture-independent
+override_dh_sphinxdoc-arch:
 
 override_dh_compress:
 	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
 
+override_dh_strip:
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+	dh_strip -ppython-pycuda --dbg-package=python-pycuda-dbg
+	dh_strip -ppython3-pycuda --dbg-package=python3-pycuda-dbg
+endif
+
+
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2012.1
+GIT_REVISION=ff35f2bee0d2e0ed8683d4f15bd46ce4ecc8554a
 GIT_SUBMODULES=pycuda/compyte
-GIT_URL=http://git.tiker.net/trees/pycuda.git 
+GIT_URL=http://git.tiker.net/trees/pycuda.git
 
 get-orig-source:
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
-	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
+	git clone --depth 0 $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/.gitignore
