## pycuda 2013.1.1%2Bgit20140310

=== debian/changelog ===
pycuda (2013.1.1+git20140310-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable. (LP: #1289463)
  * d/control:
    - Add alternate build-depends on libcuda-5.5-1

 -- Graham Inggs <graham@nerve.org.za>  Sun, 13 Apr 2014 09:27:10 +0200

pycuda (2013.1.1+git20140310-1) unstable; urgency=low

  * New upstream version.
  * Change python-pycuda-doc recommendation of Python and Python 3 packages
    to suggestions to avoid installing unwanted packages, like in #739173.
  * Rebuild with Python 3.4 support.
  * Update Standards-Version to 3.9.5; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 22 Mar 2014 18:57:13 +0100

pycuda (2013.1.1+git20131128-1) unstable; urgency=low

  * New upstream version.
  * Rebuild against CUDA 5.5 (Closes: #730263).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 28 Nov 2013 19:46:55 +0100

pycuda (2013.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 17 Jul 2013 20:18:58 +0200

pycuda (2013.1~git20130626-1ubuntu3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 19:31:31 +0000

pycuda (2013.1~git20130626-1ubuntu2) trusty; urgency=low

  * No change rebuild against Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 29 Oct 2013 10:10:19 +0000
