=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all-dbg,
  python-setuptools,
  python3-setuptools,
- libcuda1 | nvidia-current | libcuda-5.0-1,
+ libcuda1 | libcuda-5.5-1,
  nvidia-cuda-toolkit,
  libboost-python-dev,
  libboost-thread-dev,
@@ -21,9 +21,9 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-pycuda.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pycuda.git
@@ -153,9 +153,9 @@
 Architecture: all
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
-Recommends: python-pycuda,
- python3-pycuda,
- nvidia-cuda-doc
+Recommends: nvidia-cuda-doc
+Suggests: python-pycuda,
+ python3-pycuda
 Description: module to access Nvidia‘s CUDA computation API (documentation)
  PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
  Several wrappers of the CUDA API already exist–so what’s so special about
