=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 INSTALL_DIR=$(CURDIR)/debian/tmp/
 PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
-UBUNTU_NVIDIA_DIR=$(shell sed -n '/^\/usr\/lib\//{p;q}' /etc/ld.so.conf.d/$(DEB_BUILD_MULTIARCH)_GL.conf)
 
 ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -17,8 +16,7 @@
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py \
 		--boost-thread-libname=boost_thread \
-		--cuda-root=/usr --cuda-enable-gl \
-		--cudadrv-lib-dir=$(UBUNTU_NVIDIA_DIR)
+		--cuda-root=/usr --cuda-enable-gl
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=python_distutils
@@ -68,13 +66,13 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=ff35f2bee0d2e0ed8683d4f15bd46ce4ecc8554a
+GIT_REVISION=9e071c605ae3b7a4366ad81e2d51697da9d2655b
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git
 
 get-orig-source:
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
-	git clone --depth 0 $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
+	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
 	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
 	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/examples/.gitignore
