## pycuda 2014.1

=== debian/changelog ===
pycuda (2014.1-3) unstable; urgency=medium

  * Add dependency to appdirs and use it to create cache directories
    (Closes: #770689).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 29 Nov 2014 11:56:04 +0100

pycuda (2014.1-2) unstable; urgency=medium

  * Install OpenGL and sparse modules files for both Python 2 and 3.
  * Fix problems with debian/copyright pointed by lintian.
  * Update Standards-Version to 3.9.6; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 05 Oct 2014 18:35:48 +0200

pycuda (2014.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove dependency on libcuda1, leaving nvidia-cuda-toolkit dependency,
    which depend on libcuda1 (Closes: #749428).
  * Change d/rules get-orig-source to pack *.orig.tar with xz, not with gzip.
  * Change d/control to note that upstream stopped supporting Python 2.5.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 24 Aug 2014 16:23:29 +0200

pycuda (2013.1.1+git20140527-1) unstable; urgency=medium

  * New upstream version.
  * Fix Vcs-Browser link (Closes: #749489).
  * Rebuild to remove Python 3.3 dependency (Closes: #750886).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 08 Jun 2014 11:34:24 +0200
