=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  python-all-dev,
  python-all-dbg,
@@ -10,7 +9,6 @@
  python3-all-dbg,
  python-setuptools,
  python3-setuptools,
- libcuda1 | libcuda-5.5-1,
  nvidia-cuda-toolkit,
  libboost-python-dev,
  libboost-thread-dev,
@@ -21,17 +19,18 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.5
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-pycuda.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-pycuda.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git
 
 Package: python-pycuda
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  nvidia-cuda-toolkit,
+ python-appdirs,
  python-numpy,
  python-pytools (>= 2011.5)
 Recommends: python-pycuda-doc,
@@ -91,6 +90,7 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  nvidia-cuda-toolkit,
+ python3-appdirs,
  python3-numpy,
  python3-pytools
 Recommends: python-pycuda-doc,
