## pycuda 2015.1.3

=== debian/changelog ===
pycuda (2015.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Do not build CUDAND extensions on i386 as CUDA does not provide library;
    thanks for Andreas Beckmann for fixing patch.
  * Move to pybuild as build system, simplifying d/rules.
  * Add versions to some of Python dependencies.
  * Refresh fix-setup.patch.
  * Build for Python 3.5.
  * Build with CUDA 6.5, GCC 5, and Boost 1.58 (Closes: #800389).
  * Build documentation with Sphinx 1.3, increasing build reproducibility.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 02 Oct 2015 09:58:19 +0200

pycuda (2015.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Make the build reproducible by correctly passing changelog
    date to Sphinx - thanks to Juan Picca for patch.
  * Fix debian/watch to work with PyPI.
  * Fix problems with d/copyright pointed by lintian.
  * Add dh-python to Build-Depends.
  * Patch documentation to use MathJax from package, not from the network.
  * Drop use-appdirs.patch, merged by upstream.
  * Refresh other patches.
  * Do not put undistributed tests into documentation package.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 09 Jul 2015 21:15:35 +0200
