=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  python-all-dev,
  python-all-dbg,
  python3-all-dev,
@@ -30,8 +31,9 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  nvidia-cuda-toolkit,
- python-appdirs,
+ python-appdirs (>= 1.4.0),
  python-numpy,
+ python-decorator (>= 3.2.0),
  python-pytools (>= 2011.5)
 Recommends: python-pycuda-doc,
  python-mako
@@ -90,8 +92,9 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  nvidia-cuda-toolkit,
- python3-appdirs,
+ python3-appdirs (>= 1.4.0),
  python3-numpy,
+ python3-decorator (>= 3.2.0),
  python3-pytools
 Recommends: python-pycuda-doc,
  python3-mako
@@ -152,7 +155,9 @@
 Section: contrib/doc
 Architecture: all
 Depends: ${sphinxdoc:Depends},
- ${misc:Depends}
+ ${misc:Depends},
+ libjs-mathjax,
+ fonts-mathjax
 Recommends: nvidia-cuda-doc
 Suggests: python-pycuda,
  python3-pycuda
