=== debian/changelog ===
pycuda (2016.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop i386 support as it was dropped by NVIDIA in CUDA 7.0. 
  * Update Standards-Version to 3.9.7; no changes necessary.
  * Change Vcs-* links to use https.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 27 Mar 2016 17:53:59 +0200
