=== debian/control ===
--- 
+++ 
@@ -20,15 +20,15 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pycuda
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-pycuda.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pycuda.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git
 
 Package: python-pycuda
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  nvidia-cuda-toolkit,
  python-appdirs (>= 1.4.0),
@@ -64,7 +64,7 @@
 Package: python-pycuda-dbg
 Section: contrib/debug
 Priority: extra
-Architecture: amd64 i386
+Architecture: amd64
 Depends: python-pycuda (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 Description: Python module to access Nvidia‘s CUDA API (debug extensions)
@@ -89,7 +89,7 @@
  This package contains debug extensions build for the Python debug interpreter.
 
 Package: python3-pycuda
-Architecture: amd64 i386
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  nvidia-cuda-toolkit,
  python3-appdirs (>= 1.4.0),
@@ -127,7 +127,7 @@
 Package: python3-pycuda-dbg
 Section: contrib/debug
 Priority: extra
-Architecture: amd64 i386
+Architecture: amd64
 Depends: python3-pycuda (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 Description: Python 3 module to access Nvidia‘s CUDA API (debug extensions)
