=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,7 @@
 override_dh_auto_configure:
 	./configure.py --boost-python-libname=boost_python-py \
 		--boost-thread-libname=boost_thread \
-		--cuda-root=/usr --cuda-enable-gl \
-		$(if $(filter $(DEB_HOST_ARCH),i386),--no-cuda-enable-curand)
+		--cuda-root=/usr --cuda-enable-gl
 
 override_dh_auto_install:
 	dh_auto_install
@@ -53,7 +52,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2015.1.3
+GIT_REVISION=v2016.1
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git
