=== debian/watch ===
version=3
http://pypi.debian.net/pycuda/pycuda-(.+)\.tar\.gz
