## pycuda 2016.1.2+git20160809

=== debian/changelog ===
pycuda (2016.1.2+git20160809-1ubuntu1) yakkety; urgency=medium

  * Include upstream's fix for test suite with CUDA 8.0.
  * Rebuild for CUDA 8.0.

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Oct 2016 03:05:24 +0200

pycuda (2016.1.2+git20160809-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.8; no changes necessary.
  * Build Sphinx documentation using Python 3.
  * Refresh patches.
  * Update debian/copyright links as upstream changed them.
  * Rebuild with new Boost and Sphinx.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 11 Sep 2016 14:16:13 +0200

pycuda (2016.1-1build2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:30:24 +0000

pycuda (2016.1-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:48:39 +0000
