=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  dh-python,
  python-all-dev,
@@ -20,7 +21,7 @@
  python3-sphinx (>= 1.0.7+dfsg),
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pycuda
