=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,7 @@
 MODULE_NAME=pycuda
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2016.1
+GIT_REVISION=7adcef8e6add170a8510021595295fd1e4c5343c
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=http://git.tiker.net/trees/pycuda.git
