## pycuda 2016.1.2+git20161024

=== debian/changelog ===
pycuda (2016.1.2+git20161024-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:39:57 +0000

pycuda (2016.1.2+git20161024-1build1) artful; urgency=medium

  * Rebuild to add python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 18:53:24 +0530

pycuda (2016.1.2+git20161024-1) unstable; urgency=medium

  * New upstream release (Closes: #842035).
  * Build with CUDA 8.0.
  * Set Multi-Arch: foreign for documentation package.
  * Set compatibility level to 10; no changes necessary.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 27 Oct 2016 22:21:24 +0200
